/* vbacksp.c (emx+gcc) -- Copyright (c) 1987-1993 by Eberhard Mattes */

#include <sys/video.h>
#include "video2.h"

void v_backsp (int count)
{
  while (count > 0)
    {
      --count;
      if (_v_x <= 0)
        {
          if (_v_y > 0)
            {
              _v_x = _v_width-1;
              --_v_y;
            }
        }
      else
        --_v_x;
    }
  v_gotoxy (_v_x, _v_y);
}
